<?php

namespace FiloBlu\ExtAmastyGeoipRedirect\CustomerData;

use Magento\Customer\CustomerData\SectionSourceInterface;

class GeoipData implements SectionSourceInterface {

    protected $_helper;
    protected $_storeManager;

    public function __construct(
    \FiloBlu\ExtAmastyGeoipRedirect\Helper\Data $helper, \Magento\Store\Model\StoreManagerInterface $storeManager
    ) {
        $this->_helper = $helper;
        $this->_storeManager = $storeManager;
    }

    /**
     * {@inheritdoc}
     */
    public function getSectionData() {
        return [
            "current_country_code" => $this->_helper->getCurrentCountryCode(),
            "current_country_name" => $this->_helper->getCurrentCountryName(),
            "current_store_url" => $this->_storeManager->getStore()->getBaseUrl(),
            "current_store_id" => $this->_storeManager->getStore()->getId(),
        ];
    }

}
